QGIS Application - Bug report #9078
Labels are truncated in printing
2013-11-18 08:34 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.0.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 17723
Description

Labels for items other that the current (focused) one can be truncated in the output.
| assume this means Atlas generates the whole map, the moves the

frame around, so labels are not placed according to the frame: is this interpretation
correct?

In any case, truncated labels should never occur.

History

#1 - 2013-11-18 08:34 AM - Paolo Cavallini
- Subject changed from Labels are trunacated in Atlas to Labels are truncated in Atlas

#2 - 2013-11-19 08:00 AM - Regis Haubourg

are you sure, it's related to Atals use case?

| have labels truncated also in static printing and main Mapcanvas.

#3 - 2013-11-19 10:14 AM - Paolo Cavallini
- Subject changed from Labels are truncated in Atlas to Labels are truncated in printing

Even worse then

#4 - 2014-04-06 06:04 AM - Jiirgen Fischer
- Category changed from 33 to Map Composer/Printing

#5 - 2014-06-18 03:45 AM - Nyall Dawson
- Status changed from Open to Feedback

Is this still reproducible? If so, can you attach a screenshot or sample project & data which demonstrates the issue.

#6 - 2014-06-19 04:27 AM - Paolo Cavallini
- File tuncated.png added

The attached image should explain. Very easy to reproduce with any long label.
Thanks.

#7 - 2014-06-19 04:57 PM - Nyall Dawson
- Status changed from Feedback to Closed
- Resolution set to fixed/implemented

Try unchecking "Show partial labels" from the PAL label settings, that should fix this.

#8 - 2014-06-20 12:06 AM - Paolo Cavallini

OK, that works. However, the PAL settings are IMHO far too hidden.
